Activity log for bug #1735160

Date Who What changed Old value New value Message
2017-11-29 12:31:42 Andrea Azzarone bug added bug
2017-11-29 16:05:43 Andrea Azzarone description As part of allowing Ubuntu users to enable canonical-livepatch from software-properties GUI (https://wiki.ubuntu.com/SoftwareUpdates#Update_settings) we need to backport python3-macaroonbakery 0.0.6-1 [universe] from bionic. This will requires quite few changes: - backport httmock 1.2.6-1 [universe] from bionic - no httmock in xenial - backport pymacaroons 0.12.0-1 [universe] from bionic - xenial has 0.9.2-0ubuntu1 - backport python-nacl 1.1.2-1 [universe] from bionic - xenial has 1.0.1-1build1 - SRU some changes in google-apputils-python - I will handle this in an SRU bug report - add python3-protobuf to python-protobuf 2.6.1-1.3 - Right now the python3 package is not built. As part of allowing Ubuntu users to enable canonical-livepatch from software-properties GUI (https://wiki.ubuntu.com/SoftwareUpdates#Update_settings) we need to backport python3-macaroonbakery 0.0.6-1 [universe] from bionic. This will requires quite few changes: - backport httmock 1.2.6-1 [universe] from bionic - no httmock in xenial - backport pymacaroons 0.12.0-1 [universe] from bionic - xenial has 0.9.2-0ubuntu1 - backport python-nacl 1.1.2-1 [universe] from bionic - xenial has 1.0.1-1build1 - SRU some changes in google-apputils-python - https://bugs.launchpad.net/ubuntu/+source/google-apputils-python/+bug/1735162 - add python3-protobuf to python-protobuf 2.6.1-1.3 - Right now the python3 package is not built.
2017-11-29 18:13:09 Andrea Azzarone attachment added protobuf.debdiff https://bugs.launchpad.net/xenial-backports/+bug/1735160/+attachment/5016293/+files/protobuf.debdiff
2017-11-29 18:57:53 Andrea Azzarone attachment added py-macaroon-bakery.debdiff https://bugs.launchpad.net/xenial-backports/+bug/1735160/+attachment/5016312/+files/py-macaroon-bakery.debdiff
2017-12-11 15:50:49 Andrea Azzarone bug task added httmock (Ubuntu)
2017-12-11 15:51:08 Andrea Azzarone bug task added pymacaroons (Ubuntu)
2017-12-11 15:51:23 Andrea Azzarone bug task added python-nacl (Ubuntu)
2017-12-11 15:51:59 Andrea Azzarone bug task added protobuf (Ubuntu)
2017-12-11 15:52:09 Andrea Azzarone bug task deleted xenial-backports
2017-12-11 15:52:34 Andrea Azzarone summary Please backport python3-macaroonbakery 0.0.6-1 [universe] from bionic [SRU] Please backport python3-macaroonbakery 0.0.6-1 [universe] from bionic
2017-12-11 15:52:44 Andrea Azzarone description As part of allowing Ubuntu users to enable canonical-livepatch from software-properties GUI (https://wiki.ubuntu.com/SoftwareUpdates#Update_settings) we need to backport python3-macaroonbakery 0.0.6-1 [universe] from bionic. This will requires quite few changes: - backport httmock 1.2.6-1 [universe] from bionic - no httmock in xenial - backport pymacaroons 0.12.0-1 [universe] from bionic - xenial has 0.9.2-0ubuntu1 - backport python-nacl 1.1.2-1 [universe] from bionic - xenial has 1.0.1-1build1 - SRU some changes in google-apputils-python - https://bugs.launchpad.net/ubuntu/+source/google-apputils-python/+bug/1735162 - add python3-protobuf to python-protobuf 2.6.1-1.3 - Right now the python3 package is not built. [Impact] As part of allowing Ubuntu users to enable canonical-livepatch from software-properties GUI (https://wiki.ubuntu.com/SoftwareUpdates#Update_settings) we need to backport python3-macaroonbakery 0.0.6-1 [universe] from bionic. This will requires quite few changes: - backport httmock 1.2.6-1 [universe] from bionic - no httmock in xenial - backport pymacaroons 0.12.0-1 [universe] from bionic - xenial has 0.9.2-0ubuntu1 - backport python-nacl 1.1.2-1 [universe] from bionic - xenial has 1.0.1-1build1 - SRU some changes in google-apputils-python - https://bugs.launchpad.net/ubuntu/+source/google-apputils-python/+bug/1735162 - add python3-protobuf to python-protobuf 2.6.1-1.3 - Right now the python3 package is not built.
2017-12-11 15:53:33 Andrea Azzarone description [Impact] As part of allowing Ubuntu users to enable canonical-livepatch from software-properties GUI (https://wiki.ubuntu.com/SoftwareUpdates#Update_settings) we need to backport python3-macaroonbakery 0.0.6-1 [universe] from bionic. This will requires quite few changes: - backport httmock 1.2.6-1 [universe] from bionic - no httmock in xenial - backport pymacaroons 0.12.0-1 [universe] from bionic - xenial has 0.9.2-0ubuntu1 - backport python-nacl 1.1.2-1 [universe] from bionic - xenial has 1.0.1-1build1 - SRU some changes in google-apputils-python - https://bugs.launchpad.net/ubuntu/+source/google-apputils-python/+bug/1735162 - add python3-protobuf to python-protobuf 2.6.1-1.3 - Right now the python3 package is not built. [Impact] As part of allowing Ubuntu users to enable canonical-livepatch from software-properties GUI (https://wiki.ubuntu.com/SoftwareUpdates#Update_settings) we need to backport python3-macaroonbakery 0.0.6-1 [universe] from bionic. This will requires quite few changes: - backport httmock 1.2.6-1 [universe] from bionic - no httmock in xenial - backport pymacaroons 0.12.0-1 [universe] from bionic - xenial has 0.9.2-0ubuntu1 - backport python-nacl 1.1.2-1 [universe] from bionic - xenial has 1.0.1-1build1 - SRU some changes in google-apputils-python - https://bugs.launchpad.net/ubuntu/+source/google-apputils-python/+bug/1735162 - add python3-protobuf to python-protobuf 2.6.1-1.3 - Right now the python3 package is not built. [Test case] [Regression Potential]
2017-12-11 15:55:34 Andrea Azzarone description [Impact] As part of allowing Ubuntu users to enable canonical-livepatch from software-properties GUI (https://wiki.ubuntu.com/SoftwareUpdates#Update_settings) we need to backport python3-macaroonbakery 0.0.6-1 [universe] from bionic. This will requires quite few changes: - backport httmock 1.2.6-1 [universe] from bionic - no httmock in xenial - backport pymacaroons 0.12.0-1 [universe] from bionic - xenial has 0.9.2-0ubuntu1 - backport python-nacl 1.1.2-1 [universe] from bionic - xenial has 1.0.1-1build1 - SRU some changes in google-apputils-python - https://bugs.launchpad.net/ubuntu/+source/google-apputils-python/+bug/1735162 - add python3-protobuf to python-protobuf 2.6.1-1.3 - Right now the python3 package is not built. [Test case] [Regression Potential] [Impact] As part of allowing Ubuntu users to enable canonical-livepatch from software-properties GUI (https://wiki.ubuntu.com/SoftwareUpdates#Update_settings) we need to backport python3-macaroonbakery 0.0.6-1 [universe] from bionic. This will requires quite few changes: - backport httmock 1.2.6-1 [universe] from bionic - no httmock in xenial - backport pymacaroons 0.12.0-1 [universe] from bionic - xenial has 0.9.2-0ubuntu1 - backport python-nacl 1.1.2-1 [universe] from bionic - xenial has 1.0.1-1build1 - SRU some changes in google-apputils-python - https://bugs.launchpad.net/ubuntu/+source/google-apputils-python/+bug/1735162 - add python3-protobuf to python-protobuf 2.6.1-1.3 - Right now the python3 package is not built. [Test case] [Regression Potential] - httmock, none has it's not in xenial - python3-protobuf, none has the python2 code was not edited
2017-12-11 15:55:45 Andrea Azzarone description [Impact] As part of allowing Ubuntu users to enable canonical-livepatch from software-properties GUI (https://wiki.ubuntu.com/SoftwareUpdates#Update_settings) we need to backport python3-macaroonbakery 0.0.6-1 [universe] from bionic. This will requires quite few changes: - backport httmock 1.2.6-1 [universe] from bionic - no httmock in xenial - backport pymacaroons 0.12.0-1 [universe] from bionic - xenial has 0.9.2-0ubuntu1 - backport python-nacl 1.1.2-1 [universe] from bionic - xenial has 1.0.1-1build1 - SRU some changes in google-apputils-python - https://bugs.launchpad.net/ubuntu/+source/google-apputils-python/+bug/1735162 - add python3-protobuf to python-protobuf 2.6.1-1.3 - Right now the python3 package is not built. [Test case] [Regression Potential] - httmock, none has it's not in xenial - python3-protobuf, none has the python2 code was not edited [Impact] As part of allowing Ubuntu users to enable canonical-livepatch from software-properties GUI (https://wiki.ubuntu.com/SoftwareUpdates#Update_settings) we need to backport python3-macaroonbakery 0.0.6-1 [universe] from bionic. This will requires quite few changes: - backport httmock 1.2.6-1 [universe] from bionic - no httmock in xenial - backport pymacaroons 0.12.0-1 [universe] from bionic - xenial has 0.9.2-0ubuntu1 - backport python-nacl 1.1.2-1 [universe] from bionic - xenial has 1.0.1-1build1 - SRU some changes in google-apputils-python - https://bugs.launchpad.net/ubuntu/+source/google-apputils-python/+bug/1735162 - add python3-protobuf to python-protobuf 2.6.1-1.3 - Right now the python3 package is not built. [Test case] TBC [Regression Potential] - httmock, none has it's not in xenial - python3-protobuf, none has the python2 code was not edited TBC
2017-12-11 16:23:44 Ubuntu Foundations Team Bug Bot tags patch
2017-12-11 16:23:50 Ubuntu Foundations Team Bug Bot bug added subscriber Ubuntu Sponsors Team
2017-12-13 14:13:07 Andrea Azzarone description [Impact] As part of allowing Ubuntu users to enable canonical-livepatch from software-properties GUI (https://wiki.ubuntu.com/SoftwareUpdates#Update_settings) we need to backport python3-macaroonbakery 0.0.6-1 [universe] from bionic. This will requires quite few changes: - backport httmock 1.2.6-1 [universe] from bionic - no httmock in xenial - backport pymacaroons 0.12.0-1 [universe] from bionic - xenial has 0.9.2-0ubuntu1 - backport python-nacl 1.1.2-1 [universe] from bionic - xenial has 1.0.1-1build1 - SRU some changes in google-apputils-python - https://bugs.launchpad.net/ubuntu/+source/google-apputils-python/+bug/1735162 - add python3-protobuf to python-protobuf 2.6.1-1.3 - Right now the python3 package is not built. [Test case] TBC [Regression Potential] - httmock, none has it's not in xenial - python3-protobuf, none has the python2 code was not edited TBC [Impact] As part of allowing Ubuntu users to enable canonical-livepatch from software-properties GUI (https://wiki.ubuntu.com/SoftwareUpdates#Update_settings) we need to backport python3-macaroonbakery 0.0.6-1 [universe] from bionic. This will requires quite few changes: - backport httmock 1.2.6-1 [universe] from bionic - no httmock in xenial - backport pymacaroons 0.12.0-1 [universe] from bionic - xenial has 0.9.2-0ubuntu1 - SRU some changes in google-apputils-python - https://bugs.launchpad.net/ubuntu/+source/google-apputils-python/+bug/1735162 - add python3-protobuf to python-protobuf 2.6.1-1.3 - Right now the python3 package is not built. [Test case] TBC [Regression Potential] - httmock, none has it's not in xenial - python3-protobuf, none has the python2 code was not edited TBC - pymacaroons, none has 0.12 is backcompatible with 0.9.2 - python3-protobuf, none has it's not in xenial.
2017-12-13 14:30:20 Andrea Azzarone description [Impact] As part of allowing Ubuntu users to enable canonical-livepatch from software-properties GUI (https://wiki.ubuntu.com/SoftwareUpdates#Update_settings) we need to backport python3-macaroonbakery 0.0.6-1 [universe] from bionic. This will requires quite few changes: - backport httmock 1.2.6-1 [universe] from bionic - no httmock in xenial - backport pymacaroons 0.12.0-1 [universe] from bionic - xenial has 0.9.2-0ubuntu1 - SRU some changes in google-apputils-python - https://bugs.launchpad.net/ubuntu/+source/google-apputils-python/+bug/1735162 - add python3-protobuf to python-protobuf 2.6.1-1.3 - Right now the python3 package is not built. [Test case] TBC [Regression Potential] - httmock, none has it's not in xenial - python3-protobuf, none has the python2 code was not edited TBC - pymacaroons, none has 0.12 is backcompatible with 0.9.2 - python3-protobuf, none has it's not in xenial. [Impact] As part of allowing Ubuntu users to enable canonical-livepatch from software-properties GUI (https://wiki.ubuntu.com/SoftwareUpdates#Update_settings) we need to backport python3-macaroonbakery 0.0.6-1 [universe] from bionic. This will requires quite few changes: - backport httmock 1.2.6-1 [universe] from bionic - no httmock in xenial - backport pymacaroons 0.12.0-1 [universe] from bionic - xenial has 0.9.2-0ubuntu1 - SRU some changes in google-apputils-python - https://bugs.launchpad.net/ubuntu/+source/google-apputils-python/+bug/1735162 - add python3-protobuf to python-protobuf 2.6.1-1.3 - Right now the python3 package is not built. [Test case] - for python3-protobuf: $ python3 -c "import google.protobuf" - for python3-pymacaroon-bakery: make sure all the tests pass [Regression Potential] - httmock, none has it's not in xenial - python3-protobuf, none has the python2 code was not edited TBC - pymacaroons, none has 0.12 is backcompatible with 0.9.2 - python3-protobuf, none has it's not in xenial.
2017-12-13 14:36:55 Andrea Azzarone description [Impact] As part of allowing Ubuntu users to enable canonical-livepatch from software-properties GUI (https://wiki.ubuntu.com/SoftwareUpdates#Update_settings) we need to backport python3-macaroonbakery 0.0.6-1 [universe] from bionic. This will requires quite few changes: - backport httmock 1.2.6-1 [universe] from bionic - no httmock in xenial - backport pymacaroons 0.12.0-1 [universe] from bionic - xenial has 0.9.2-0ubuntu1 - SRU some changes in google-apputils-python - https://bugs.launchpad.net/ubuntu/+source/google-apputils-python/+bug/1735162 - add python3-protobuf to python-protobuf 2.6.1-1.3 - Right now the python3 package is not built. [Test case] - for python3-protobuf: $ python3 -c "import google.protobuf" - for python3-pymacaroon-bakery: make sure all the tests pass [Regression Potential] - httmock, none has it's not in xenial - python3-protobuf, none has the python2 code was not edited TBC - pymacaroons, none has 0.12 is backcompatible with 0.9.2 - python3-protobuf, none has it's not in xenial. [Impact] As part of allowing Ubuntu users to enable canonical-livepatch from software-properties GUI (https://wiki.ubuntu.com/SoftwareUpdates#Update_settings) we need to backport python3-macaroonbakery 0.0.6-1 [universe] from bionic. This will requires quite few changes: - backport httmock 1.2.6-1 [universe] from bionic - no httmock in xenial - backport pymacaroons 0.12.0-1 [universe] from bionic - xenial has 0.9.2-0ubuntu1 - SRU some changes in google-apputils-python - https://bugs.launchpad.net/ubuntu/+source/google-apputils-python/+bug/1735162 - add python3-protobuf to python-protobuf 2.6.1-1.3 - Right now the python3 package is not built. [Test case] - for python3-protobuf: $ python3 -c "import google.protobuf" - for python3-macaroonbakery: make sure all the tests pass [Regression Potential] - httmock, none has it's not in xenial - python3-protobuf, none has the python2 code was not edited TBC - pymacaroons, none has 0.12 is backcompatible with 0.9.2 - python3-protobuf, none has it's not in xenial.
2017-12-13 14:38:04 Andrea Azzarone attachment added py-macaroon-bakery.debdiff https://bugs.launchpad.net/ubuntu/+source/httmock/+bug/1735160/+attachment/5022116/+files/py-macaroon-bakery.debdiff
2017-12-13 14:38:56 Andrea Azzarone description [Impact] As part of allowing Ubuntu users to enable canonical-livepatch from software-properties GUI (https://wiki.ubuntu.com/SoftwareUpdates#Update_settings) we need to backport python3-macaroonbakery 0.0.6-1 [universe] from bionic. This will requires quite few changes: - backport httmock 1.2.6-1 [universe] from bionic - no httmock in xenial - backport pymacaroons 0.12.0-1 [universe] from bionic - xenial has 0.9.2-0ubuntu1 - SRU some changes in google-apputils-python - https://bugs.launchpad.net/ubuntu/+source/google-apputils-python/+bug/1735162 - add python3-protobuf to python-protobuf 2.6.1-1.3 - Right now the python3 package is not built. [Test case] - for python3-protobuf: $ python3 -c "import google.protobuf" - for python3-macaroonbakery: make sure all the tests pass [Regression Potential] - httmock, none has it's not in xenial - python3-protobuf, none has the python2 code was not edited TBC - pymacaroons, none has 0.12 is backcompatible with 0.9.2 - python3-protobuf, none has it's not in xenial. [Impact] As part of allowing Ubuntu users to enable canonical-livepatch from software-properties GUI (https://wiki.ubuntu.com/SoftwareUpdates#Update_settings) we need to backport python3-macaroonbakery 0.0.6-1 [universe] from bionic. This will requires quite few changes: - backport httmock 1.2.6-1 [universe] from bionic - no httmock in xenial - backport pymacaroons 0.12.0-1 [universe] from bionic - xenial has 0.9.2-0ubuntu1 - SRU some changes in google-apputils-python - https://bugs.launchpad.net/ubuntu/+source/google-apputils-python/+bug/1735162 - add python3-protobuf to python-protobuf 2.6.1-1.3 - Right now the python3 package is not built. [Test case] - for python3-protobuf: $ python3 -c "import google.protobuf" - for python3-macaroonbakery: make sure all the tests pass [Regression Potential] - httmock, none has it's not in xenial - python3-protobuf, none has the python2 code was not edited TBC - pymacaroons, none has 0.12 is backward compatible with 0.9.2 - python3-protobuf, none has it's not in xenial.
2017-12-18 03:04:47 Simon Quigley bug added subscriber Ubuntu Stable Release Updates Team
2018-01-09 11:39:03 Iain Lane httmock (Ubuntu): status New In Progress
2018-01-09 11:39:12 Iain Lane httmock (Ubuntu): assignee Andrea Azzarone (azzar1)
2018-01-09 11:39:17 Iain Lane nominated for series Ubuntu Xenial
2018-01-09 11:39:17 Iain Lane bug task added protobuf (Ubuntu Xenial)
2018-01-09 11:39:17 Iain Lane bug task added python-nacl (Ubuntu Xenial)
2018-01-09 11:39:17 Iain Lane bug task added pymacaroons (Ubuntu Xenial)
2018-01-09 11:39:17 Iain Lane bug task added httmock (Ubuntu Xenial)
2018-01-09 11:39:27 Iain Lane httmock (Ubuntu): status In Progress Fix Released
2018-01-09 11:39:29 Iain Lane httmock (Ubuntu Xenial): status New In Progress
2018-01-09 11:39:36 Iain Lane httmock (Ubuntu Xenial): assignee Andrea Azzarone (azzar1)
2018-01-09 15:02:53 Colin Watson bug added subscriber Colin Watson
2018-01-10 11:26:35 Andrea Azzarone attachment added protobuf.debdiff https://bugs.launchpad.net/ubuntu/+source/httmock/+bug/1735160/+attachment/5034347/+files/protobuf.debdiff
2018-01-10 13:11:02 Andrea Azzarone attachment added protobuf.debdiff https://bugs.launchpad.net/ubuntu/+source/httmock/+bug/1735160/+attachment/5034414/+files/protobuf.debdiff
2018-01-10 13:34:51 Andrea Azzarone attachment added protobuf.debdiff https://bugs.launchpad.net/ubuntu/+source/httmock/+bug/1735160/+attachment/5034445/+files/protobuf.debdiff
2018-01-11 10:54:42 Iain Lane affects python-nacl (Ubuntu) py-macaroon-bakery (Ubuntu)
2018-01-11 10:54:51 Iain Lane protobuf (Ubuntu): status New Fix Released
2018-01-11 10:54:53 Iain Lane protobuf (Ubuntu Xenial): status New In Progress
2018-01-11 10:54:59 Iain Lane py-macaroon-bakery (Ubuntu): assignee Andrea Azzarone (azzar1)
2018-01-11 10:55:08 Iain Lane protobuf (Ubuntu Xenial): assignee Andrea Azzarone (azzar1)
2018-01-11 10:55:16 Iain Lane py-macaroon-bakery (Ubuntu): status New Fix Released
2018-01-11 10:55:19 Iain Lane pymacaroons (Ubuntu): status New Fix Released
2018-01-11 11:50:04 Andrea Azzarone description [Impact] As part of allowing Ubuntu users to enable canonical-livepatch from software-properties GUI (https://wiki.ubuntu.com/SoftwareUpdates#Update_settings) we need to backport python3-macaroonbakery 0.0.6-1 [universe] from bionic. This will requires quite few changes: - backport httmock 1.2.6-1 [universe] from bionic - no httmock in xenial - backport pymacaroons 0.12.0-1 [universe] from bionic - xenial has 0.9.2-0ubuntu1 - SRU some changes in google-apputils-python - https://bugs.launchpad.net/ubuntu/+source/google-apputils-python/+bug/1735162 - add python3-protobuf to python-protobuf 2.6.1-1.3 - Right now the python3 package is not built. [Test case] - for python3-protobuf: $ python3 -c "import google.protobuf" - for python3-macaroonbakery: make sure all the tests pass [Regression Potential] - httmock, none has it's not in xenial - python3-protobuf, none has the python2 code was not edited TBC - pymacaroons, none has 0.12 is backward compatible with 0.9.2 - python3-protobuf, none has it's not in xenial. [Impact] As part of allowing Ubuntu users to enable canonical-livepatch from software-properties GUI (https://wiki.ubuntu.com/SoftwareUpdates#Update_settings) we need to backport python3-macaroonbakery 0.0.6-1 [universe] from bionic. This will requires quite few changes: - backport httmock 1.2.6-1 [universe] from bionic - no httmock in xenial - backport pymacaroons 0.12.0-1 [universe] from bionic - xenial has 0.9.2-0ubuntu1 - SRU some changes in google-apputils-python - https://bugs.launchpad.net/ubuntu/+source/google-apputils-python/+bug/1735162 - add python3-protobuf to python-protobuf 2.6.1-1.3 - Right now the python3 package is not built. [Test case] - for python3-protobuf: $ python3 -c "import google.protobuf" - for python3-macaroonbakery: make sure all the tests pass - make sure "snapcraft login" works properly [Regression Potential] - httmock, none has it's not in xenial - protobuf, reduced considering that the code has been backported from master (small changes to make it compatabile py3 compatabile) - pymacaroons, none has 0.12 is backward compatible with 0.9.2 - py-macaroon-bakery, none has it's not in xenial.
2018-01-11 11:50:29 Andrea Azzarone description [Impact] As part of allowing Ubuntu users to enable canonical-livepatch from software-properties GUI (https://wiki.ubuntu.com/SoftwareUpdates#Update_settings) we need to backport python3-macaroonbakery 0.0.6-1 [universe] from bionic. This will requires quite few changes: - backport httmock 1.2.6-1 [universe] from bionic - no httmock in xenial - backport pymacaroons 0.12.0-1 [universe] from bionic - xenial has 0.9.2-0ubuntu1 - SRU some changes in google-apputils-python - https://bugs.launchpad.net/ubuntu/+source/google-apputils-python/+bug/1735162 - add python3-protobuf to python-protobuf 2.6.1-1.3 - Right now the python3 package is not built. [Test case] - for python3-protobuf: $ python3 -c "import google.protobuf" - for python3-macaroonbakery: make sure all the tests pass - make sure "snapcraft login" works properly [Regression Potential] - httmock, none has it's not in xenial - protobuf, reduced considering that the code has been backported from master (small changes to make it compatabile py3 compatabile) - pymacaroons, none has 0.12 is backward compatible with 0.9.2 - py-macaroon-bakery, none has it's not in xenial. [Impact] As part of allowing Ubuntu users to enable canonical-livepatch from software-properties GUI (https://wiki.ubuntu.com/SoftwareUpdates#Update_settings) we need to backport python3-macaroonbakery 0.0.6-1 [universe] from bionic. This will requires quite few changes: - backport httmock 1.2.6-1 [universe] from bionic - no httmock in xenial - backport pymacaroons 0.12.0-1 [universe] from bionic - xenial has 0.9.2-0ubuntu1 - SRU some changes in google-apputils-python - https://bugs.launchpad.net/ubuntu/+source/google-apputils-python/+bug/1735162 - add python3-protobuf to python-protobuf 2.6.1-1.3 - Right now the python3 package is not built. [Test case] - for protobuf: $ python3 -c "import google.protobuf" - for protobuf: $ python2 -c "import google.protobuf" - for python3-macaroonbakery: make sure all the tests pass - make sure "snapcraft login" works properly [Regression Potential] - httmock, none has it's not in xenial - protobuf, reduced considering that the code has been backported from master (small changes to make it compatabile py3 compatabile) - pymacaroons, none has 0.12 is backward compatible with 0.9.2 - py-macaroon-bakery, none has it's not in xenial.
2018-01-11 14:05:05 Iain Lane pymacaroons (Ubuntu Xenial): status New In Progress
2018-01-11 14:05:08 Iain Lane py-macaroon-bakery (Ubuntu Xenial): status New In Progress
2018-01-11 14:05:14 Iain Lane py-macaroon-bakery (Ubuntu Xenial): assignee Andrea Azzarone (azzar1)
2018-01-11 14:05:23 Iain Lane pymacaroons (Ubuntu Xenial): assignee Andrea Azzarone (azzar1)
2018-01-12 11:51:39 Iain Lane nominated for series Ubuntu Artful
2018-01-12 11:51:39 Iain Lane bug task added protobuf (Ubuntu Artful)
2018-01-12 11:51:39 Iain Lane bug task added pymacaroons (Ubuntu Artful)
2018-01-12 11:51:39 Iain Lane bug task added httmock (Ubuntu Artful)
2018-01-12 11:51:39 Iain Lane bug task added py-macaroon-bakery (Ubuntu Artful)
2018-01-12 12:18:27 Iain Lane httmock (Ubuntu Artful): status New Invalid
2018-01-12 12:18:48 Iain Lane protobuf (Ubuntu Artful): status New Invalid
2018-01-12 12:18:51 Iain Lane pymacaroons (Ubuntu Artful): status New In Progress
2018-01-12 12:18:51 Iain Lane pymacaroons (Ubuntu Artful): assignee Andrea Azzarone (azzar1)
2018-01-12 12:19:02 Iain Lane py-macaroon-bakery (Ubuntu Artful): status New In Progress
2018-01-12 12:19:02 Iain Lane py-macaroon-bakery (Ubuntu Artful): assignee Andrea Azzarone (azzar1)
2018-01-12 16:40:50 Iain Lane bug added subscriber Iain Lane
2018-02-11 19:21:12 Simon Quigley removed subscriber Ubuntu Sponsors Team
2018-02-28 00:21:03 Chris Halse Rogers pymacaroons (Ubuntu Artful): status In Progress Fix Committed
2018-02-28 00:21:07 Chris Halse Rogers bug added subscriber SRU Verification
2018-02-28 00:21:13 Chris Halse Rogers tags patch patch verification-needed verification-needed-artful
2018-03-15 10:46:53 Andrea Azzarone tags patch verification-needed verification-needed-artful patch verification-failed-artful verification-needed
2018-03-22 09:07:16 Łukasz Zemczak tags patch verification-failed-artful verification-needed patch verification-needed verification-needed-artful
2018-03-22 12:05:11 Łukasz Zemczak protobuf (Ubuntu Xenial): status In Progress Fix Committed
2018-03-22 12:05:17 Łukasz Zemczak tags patch verification-needed verification-needed-artful patch verification-needed verification-needed-artful verification-needed-xenial
2018-03-22 13:53:41 Łukasz Zemczak pymacaroons (Ubuntu Xenial): status In Progress Fix Committed
2018-04-11 17:26:54 Andrea Azzarone attachment added protobuf.debdiff https://bugs.launchpad.net/ubuntu/+source/httmock/+bug/1735160/+attachment/5111000/+files/protobuf.debdiff